/*
 * $Source: /usr/local/cvsroot/erserver/erserver/java/src/com/postgres/replic/util/AbstractInitializable.java,v $
 * $Author: asullivan $ $Revision: 1.1.1.1 $ $Date: 2003/08/26 19:02:26 $
 *
 */

package com.postgres.replic.util;

import com.postgres.util.Logger.*;

public abstract class AbstractInitializable {
    public static final int T_NO = -1;
    public static final int T_NULL = 0;
    private boolean initialized = false;
    private boolean debug = false;
    private boolean verbose = false;

    public boolean initialized() {
        return initialized;
    }

    protected void setInitialized(boolean initialized) {
        this.initialized = initialized;
    }

    public void setDebug(boolean debug) {
        this.debug = debug;
    }

    public boolean getDebug() {
        return debug;
    }

    public void setVerbose(boolean verbose) {
        this.verbose = verbose;
    }

    public boolean getVerbose() {
        return verbose;
    }


    protected Logger getLogger() {
         return LogRepl.getInstance();
    }
}
